package com.ss.android.ugc.aweme.ad.comment.depend;

import X.2Pr;
import X.4RU;
import X.9xA;
import X.BS4;
import X.C3296LFv;
import X.C4939Ls2;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.arch.widgets.base.Widget;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import com.ss.android.ugc.aweme.feed.model.AwemeRawAd;
import com.ss.android.ugc.aweme.model.TextExtraStruct;
import com.ss.android.ugc.aweme.profile.model.User;
import java.util.List;

public interface IAdCommentDepend extends BS4 {
    static {
        Covode.recordClassIndex(52385);
    }

    Widget LIZ(C4939Ls2<2Pr> ls2);

    String LIZ();

    List<TextExtraStruct> LIZ(9xA r1);

    List<TextExtraStruct> LIZ(9xA r1, AwemeRawAd awemeRawAd, C4939Ls2<2Pr> ls2);

    List<TextExtraStruct> LIZ(Context context, Aweme aweme, 9xA r3);

    void LIZ(Context context, C3296LFv lFv, Aweme aweme);

    void LIZ(Context context, Aweme aweme);

    void LIZ(Context context, Aweme aweme, String str);

    void LIZ(Context context, User user);

    void LIZ(Context context, String str);

    void LIZ(Context context, String str, String str2);

    void LIZ(Context context, String str, String str2, String str3);

    void LIZ(AwemeRawAd awemeRawAd);

    void LIZ(String str, Context context, C3296LFv lFv, Aweme aweme, String str2);

    void LIZ(String str, String str2, Aweme aweme, boolean z);

    boolean LIZ(Context context, Aweme aweme, int i, 4RU r4);

    boolean LIZ(Aweme aweme);

    boolean LIZ(String str);

    Widget LIZIZ(C4939Ls2<2Pr> ls2);

    String LIZIZ(9xA r1);
}
